﻿local L = LibStub("AceLocale-3.0"):NewLocale("PassLoot", "enUS", true);
if ( L ) then
  -- Main stuff
  L["PASSLOOT_SLASH_COMMAND"] = "passloot"
  L["Config Menu"] = true
  L["Quiet mode"] = true
  L["Default"] = true
  L["Disabled"] = true
  L["Enabled"] = true
  L["Opens the configuration menu"] = true
  L["Turn looting messages on/off."] = true
  L["Turn the PassLoot mod on/off."] = true
  L["Rolling %status% on %item% (%rule%)"] = true
  L["Ignoring %item% (%rule%)"] = true
  L["Temp Description"] = true
  L["CheckBox_Pass"] = "Pass"
  L["CheckBox_PassDesc"] = "Will pass on all loot matching this rule."
  L["CheckBox_Greed"] = "Greed"
  L["CheckBox_GreedDesc"] = "Will roll greed on all loot matching this rule."
  L["CheckBox_Need"] = "Need"
  L["CheckBox_NeedDesc"] = "Will roll need on all loot matching this rule."
  L["PassLoot_MainFrame"] = "PassLoot Settings"
  L["PassLoot_MainFrame_Done"] = "Done"
  L["PassLoot_MainFrame_DoneDesc"] = "Close this window."
  L["PassLoot_TabbedMenuContainerTab1"] = "Rules"
  L["PassLoot_TabbedMenuContainerTab1Desc"] = "Configure rules."
  L["PassLoot_TabbedMenuContainerTab2"] = "Modules"
  L["PassLoot_TabbedMenuContainerTab2Desc"] = "Configure modules."
  L["PassLoot_TabbedMenuContainerTab3"] = "Settings"
  L["PassLoot_TabbedMenuContainerTab3Desc"] = "Configure general settings."
  L["PassLoot_TabbedMenuContainerTab4"] = "Profiles"
  L["PassLoot_TabbedMenuContainerTab4Desc"] = "Configure profiles."
  L["PassLoot_Rules_RuleList"] = "Rule List"
  L["PassLoot_Rules_RuleListDesc"] = "Click to select and edit this rule."
  L["PassLoot_Rules_RuleList_Add"] = "Add"
  L["PassLoot_Rules_RuleList_AddDesc"] = "Add a new rule set."
  L["PassLoot_Rules_RuleList_Remove"] = "Remove"
  L["PassLoot_Rules_RuleList_RemoveDesc"] = "Remove selected rule set."
  L["PassLoot_Rules_RuleList_Up"] = "Up"
  L["PassLoot_Rules_RuleList_UpDesc"] = "Move selected rule up in priority."
  L["PassLoot_Rules_RuleList_Down"] = "Down"
  L["PassLoot_Rules_RuleList_DownDesc"] = "Move selected rule down in priority."
  L["PassLoot_Rules_Settings_Desc"] = "Description"
  L["PassLoot_Rules_Settings_DescDesc"] = "Description of this rule.\n(Saves when you press enter)"
  L["PassLoot_Rules_Settings_Options"] = "Filter Options"
  L["PassLoot_Rules_Settings_OptionsDesc"] = "Select a filter to use.\n(Each filter must have at least one match)"
  L["PassLoot_Rules_Settings_Filters"] = "Active Filters"
  L["PassLoot_Rules_Settings_FiltersDesc"] = "Select a filter to modify, or shift-right-click to remove this filter\n(Each filter must have at least one match)"
  L["PassLoot_Rules_Settings_Add"] = "Add"
  L["PassLoot_Rules_Settings_AddDesc"] = "Add this filter."
  L["PassLoot_Rules_Settings_Update"] = "Update"
  L["PassLoot_Rules_Settings_UpdateDesc"] = "Update this filter."
  L["PassLoot_Rules_Settings_Remove"] = "Remove"
  L["PassLoot_Rules_Settings_RemoveDesc"] = "Remove this filter."
  L["PassLoot_Settings_ModEnabled"] = "Enable Mod"
  L["PassLoot_Settings_ModEnabledDesc"] = "Enable or disable this mod."
  L["PassLoot_Settings_Quiet"] = "Quiet"
  L["PassLoot_Settings_QuietDesc"] = "Checking this will prevent extra details from being displayed."
  L["PassLoot_Settings_OutputFrameMain"] = "Output Frame"
  L["PassLoot_Settings_OutputFrameMainDesc"] = "Select what chat frame output should be displayed."
  L["PassLoot_Settings_OutputFrameSub"] = "Misc Output Options"
  L["PassLoot_Settings_OutputFrameSubDesc"] = "Select miscellaneous output options."
  L["PassLoot_Settings_OutputFrameSticky"] = "Sticky"
  L["PassLoot_Settings_OutputFrameStickyDesc"] = "Messages will appear sticky."
  L["PassLoot_Profiles_CurrentProfile"] = "Current Profile"
  L["PassLoot_Profiles_CurrentProfileDesc"] = "Select which profile to use."
  L["PassLoot_Profiles_CopyProfile"] = "Profile to copy from"
  L["PassLoot_Profiles_CopyProfileDesc"] = "Select a profile to copy from."
  L["PassLoot_Profiles_Copy"] = "Copy"
  L["PassLoot_Profiles_CopyDesc"] = "Copy this profile."
  L["PassLoot_Profiles_DeleteProfile"] = "Profile to delete from"
  L["PassLoot_Profiles_DeleteProfileDesc"] = "Select a profile to delete from."
  L["PassLoot_Profiles_Delete"] = "Delete"
  L["PassLoot_Profiles_DeleteDesc"] = "Delete this profile."
  L["PassLoot_Profiles_NewProfileName"] = "New Profile Name:"
  L["PassLoot_Profiles_Create"] = "Create"
  L["PassLoot_Profiles_CreateDesc"] = "Create a new profile with this name.\n(An existing profile with this name will not be replaced)"
  L["PassLoot_Profiles_Reset"] = "Reset"
  L["PassLoot_Profiles_ResetDesc"] = "Resets this profile, wiping all rules."
  L["PassLoot_Modules_Checkbox"] = "Module"
  L["PassLoot_Modules_CheckboxDesc"] = "Enable / Disable this module."

  -- Modules:
  L["Any"] = true
  L["None"] = true

  -- Bind:
  L["PassLoot_ModuleName_Bind"] = "Binds On" -- Displayed in module list
  L["PassLoot_Settings_Bind"] = "Bind On" -- Displayed in filter list
  L["PassLoot_Settings_BindDesc"] = "Selected rule will only match these items."
  L["Equip"] = true
  L["Pickup"] = true
  L["Use"] = true
  L["Account"] = true
  
  -- EquipSlot:
  L["PassLoot_ModuleName_EquipSlot"] = "Equip Slot" -- Displayed in module list
  L["PassLoot_Settings_EquipSlot"] = "Equip Slot" -- Displayed in filter list
  L["PassLoot_Settings_EquipSlotDesc"] = "Selected rule will only match items with this equip slot."
  L["Armor"] = true
  L["Weapons"] = true
  L["Accessories"] = true

  -- GroupRaid:
  L["PassLoot_ModuleName_GroupRaid"] = "Group / Raid" -- Displayed in module list
  L["PassLoot_Settings_GroupRaid"] = "Group / Raid" -- Displayed in filter list
  L["PassLoot_Settings_GroupRaidDesc"] = "Selected rule will only match if you are in a group or raid."
  L["Group"] = true
  L["Raid"] = true

  -- ItemLevel:
  L["PassLoot_ModuleName_ItemLevel"] = "Item Level" -- Displayed in module list
  L["PassLoot_Settings_ItemLevel"] = "Item Level" -- Displayed in filter list
  L["PassLoot_Settings_ItemLevelDesc"] = "Selected rule will only match items when comparing the item level to this"
  L["Equal to"] = true
  L["Equal to %num%"] = true
  L["Not Equal to"] = true
  L["Not Equal to %num%"] = true
  L["Less than"] = true
  L["Less than %num%"] = true
  L["Greater than"] = true
  L["Greater than %num%"] = true
  
  -- ItemPrice:
  L["PassLoot_ModuleName_ItemPrice"] = "Item Price" -- Displayed in module list
  L["PassLoot_Settings_ItemPrice"] = "Item Price" -- Displayed in filter list
  L["PassLoot_Settings_ItemPriceDesc"] = "Selected rule will only match items when compared to vendor value\n(Price is in coppers)"

  -- RequiredLevel:
  L["PassLoot_ModuleName_RequiredLevel"] = "Required Level" -- Displayed in module list
  L["PassLoot_Settings_RequiredLevel"] = "Required Level" -- Displayed in filter list
  L["PassLoot_Settings_RequiredLevelDesc"] = "Selected rule will only match items when comparing the item level to this"

  -- LootWon:
  L["PassLoot_ModuleName_LootWon"] = "Loot Won" -- Displayed in module list
  L["PassLoot_Settings_LootWon"] = "Loot Won Comparison" -- Displayed in filter list
  L["PassLoot_Settings_LootWonDesc"] = "Selected rule will only match items when comparing the loot won counter to this"
  L["PassLoot_Settings_LootWonCounter"] = "Loot Won Counter"
  L["PassLoot_Settings_LootWonCounterDesc"] = "Set how many times we have won loot on this rule\n(Saves when you press enter)"
  L["PassLoot_Settings_LootWonResetCounter"] = "Reset Counters on join"
  L["PassLoot_Settings_LootWonResetCounterDesc"] = "Checking this will reset counters on joining a group or raid.\nShift-click to reset all current counters."

  -- Quality:
  L["PassLoot_ModuleName_Quality"] = "Quality" -- Displayed in module list
  L["PassLoot_Settings_Quality"] = "Quality" -- Displayed in filter list
  L["PassLoot_Settings_QualityDesc"] = "Selected rule will only match this quality of items."

  -- TypeSubType:  
  L["PassLoot_ModuleName_TypeSubType"] = "Type / SubType" -- Displayed in module list
  L["PassLoot_Settings_Type"] = "Type / SubType" -- Displayed in filter list
  L["PassLoot_Settings_TypeDesc"] = "Selected rule will only match items with this type and subtype."
  L["Type Text"] = "%type% - %subtype%"

  -- Unique:
  L["PassLoot_ModuleName_Unique"] = "Unique" -- Displayed in module list
  L["PassLoot_Settings_Unique"] = "Unique" -- Displayed in filter list
  L["PassLoot_Settings_UniqueDesc"] = "Selected rule will only match items that are unique.\nThis includes items which have a unique stack higher than 1, such as battleground tokens, as well as items which are Unique-Equip."
  L["Not"] = true
  L["Unique"] = true
  
  -- Zone:
  L["PassLoot_ModuleName_Zone"] = "Zone Name" -- Displayed in module list
  L["PassLoot_Settings_Zone"] = "Zone" -- Displayed in filter list
  L["PassLoot_Settings_ZoneDesc"] = "Zone to match selected rule to, leave empty to match any zone.\n(Saves when you press enter)\nShift-right-click to fill with current zone name"
  L["Temp Zone Name"] = true

  -- ZoneType:
  L["PassLoot_ModuleName_ZoneType"] = "Zone Type" -- Displayed in module list
  L["PassLoot_Settings_ZoneType"] = "Zone Type" -- Displayed in filter list
  L["PassLoot_Settings_ZoneTypeDesc"] = "Selected rule will only match items when you are in this type of zone."
  L["Outside"] = true
  L["Normal"] = true
  L["Heroic"] = true
  L["ZoneType Text"] = "%zonetype% - %instancedifficulty%"
  
  -- ItemName:
  L["PassLoot_ModuleName_ItemName"] = "Item Name" -- Displayed in module list
  L["PassLoot_Settings_ItemName"] = "Item Name" -- Displayed in filter list
  L["PassLoot_Settings_ItemNameDesc"] = "Selected rule will match on item names."
  L["PassLoot_Settings_ItemName_Exact"] = "Exact"
  L["PassLoot_Settings_ItemName_ExactDesc"] = "Checked: Item must match exactly.\nUnchecked: Item must have this phrase."
  L["Temp Item Name"] = true
  
end
